searchNodes=[{"type":"task","title":"Mix.Tasks.NpmDeps.Get","doc":"Fetches the NPM dependencies listed in the mix.exs file","ref":"Mix.Tasks.NpmDeps.Get.html"},{"type":"module","title":"NpmDeps","doc":"A tool to help you manage your NPM dependencies in Elixir projects without the need of Node.js or NPM in your environment. Setup The package can be installed by adding npm_deps to your list of dependencies in mix.exs . And you should also add the npm_deps to your project/0 , pointing to a list with your desired NPM dependencies. def project do [ app: :your_app, version: &quot;0.1.0&quot;, elixir: &quot;~&gt; 1.14&quot;, ... + npm_deps: npm_deps() ] end def deps do [ ... + {:npm_deps, &quot;~&gt; 0.3.2&quot;, runtime: false} ] end + def npm_deps do + [ + {:alpinejs, &quot;3.11.1&quot;}, + {:topbar, &quot;2.0.1&quot;}, + {&quot;decimal.js&quot;, &quot;10.4.3&quot;} + ] + end ℹ️ Alpine.js, Topbar and decimal.js are used in the example above, but you can use any NPM package you want. ℹ️ NpmDeps will not fetch the sub-dependencies of the packages, so you will need to add them explicitly to your npm_deps/0 function if you need them. ℹ️ Post-install scripts are not supported. Once you have added it, you can run mix npm_deps.get to get your NPM dependencies. The NPM dependencies will be installed in the deps/ directory of your project, side by side with the Elixir dependencies. If you are using Phoenix and ESBuild, the default setup will work out of the box. Allowing you to import the NPM dependencies in your JS files. import &quot;phoenix_html&quot;; import { Socket } from &quot;phoenix&quot;; import { LiveSocket } from &quot;phoenix_live_view&quot;; import topbar from &quot;topbar&quot;; import Alpine from &quot;alpinejs&quot;; window.Alpine = Alpine; Alpine.start(); ... To run npm_deps.get in your deployment pipeline, you can add it to your assets.deploy task, also in mix.exs . defp aliases do [ ... &quot;assets.deploy&quot;: [ + &quot;npm_deps.get&quot;, &quot;esbuild default --minify&quot;, &quot;phx.digest&quot; ] ] end You can also add an alias to run npm_deps.get alongside deps.get : defp aliases do [ ... + &quot;deps.get&quot;: [&quot;npm_deps.get&quot;, &quot;deps.get&quot;] ] end","ref":"NpmDeps.html"},{"type":"function","title":"NpmDeps.get/1","doc":"","ref":"NpmDeps.html#get/1"},{"type":"module","title":"NpmDeps.Downloader","doc":"This module is responsible for downloading the NPM packages.","ref":"NpmDeps.Downloader.html"},{"type":"function","title":"NpmDeps.Downloader.copy_to_deps/2","doc":"","ref":"NpmDeps.Downloader.html#copy_to_deps/2"},{"type":"function","title":"NpmDeps.Downloader.extract/2","doc":"","ref":"NpmDeps.Downloader.html#extract/2"},{"type":"function","title":"NpmDeps.Downloader.fetch_body!/1","doc":"","ref":"NpmDeps.Downloader.html#fetch_body!/1"},{"type":"function","title":"NpmDeps.Downloader.get/2","doc":"","ref":"NpmDeps.Downloader.html#get/2"},{"type":"function","title":"NpmDeps.Downloader.temp_dir/1","doc":"","ref":"NpmDeps.Downloader.html#temp_dir/1"}]